yi-misc-modes-0.19.1: Yi editor miscellaneous modes

Safe Haskell | None
Language | Haskell2010

Yi.Lexer.Latex

Synopsis

- initState :: HlState
- alexScanToken :: (AlexState HlState, AlexInput) -> Maybe (Tok Token, (AlexState HlState, AlexInput))
- data Token
  - = Comment
  - | Text
  - | Special !Char
  - | Command !String
  - | Begin !String
  - | End !String
  - | NewCommand
- type HlState = Int
- tokenToText :: Token -> Maybe String

# Documentation

initState :: HlState Source #

alexScanToken :: (AlexState HlState, AlexInput) -> Maybe (Tok Token, (AlexState HlState, AlexInput)) Source #

Scan one token. Return (maybe) a token and a new state.

data Token Source #

Constructors

Comment |
Text |
Special !Char |
Command !String |
Begin !String |
End !String |
NewCommand |

#### Instances

Instances details

Show Token Source # |
Instance details Defined in Yi.Lexer.Latex Methods showsPrec :: Int -> Token -> ShowS Source # show :: Token -> String Source # showList :: [Token] -> ShowS Source #
Eq Token Source # |
Instance details Defined in Yi.Lexer.Latex Methods (==) :: Token -> Token -> Bool Source # (/=) :: Token -> Token -> Bool Source #
Ord Token Source # |
Instance details Defined in Yi.Lexer.Latex Methods compare :: Token -> Token -> Ordering Source # (<) :: Token -> Token -> Bool Source # (<=) :: Token -> Token -> Bool Source # (>) :: Token -> Token -> Bool Source # (>=) :: Token -> Token -> Bool Source # max :: Token -> Token -> Token Source # min :: Token -> Token -> Token Source #

type HlState = Int Source #

tokenToText :: Token -> Maybe String Source #